Subject: Re: [94attendees] Shibuya, was Alert: Heightened Security - Tokyo, Japan

From: [email-masked]
Date: 1 Nov 2015 08:27:45 -0000

My wife and I were walking around Shubuya this afternoon.  There was
some sort of loud protest event going on, but the farmer's market at
the UN school across the street went on as normal.

FYI, Shibuya is really easy to get to.  Walk into the Queens mall and
follow signs to the Minatomirai station, get on any train going toward
Yokohama and stay on the same train past Yokhama for about 25 minutes.
It costs ¥450 each way, lots of shops and restaurants in the area.

R's,
John